// Zadatak07.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <vector>
#include <string>
using namespace std;
int main()
{
    int broj;
    vector <int> prostiBrojevi;
    bool prostBroj = false;

    //korisnik mora unjeti broj veæi od nula
    do {
        cout << "Unesite broj: ";
        cin >> broj;
        if (broj < 10)
            cout << "Morate unijeti broj veci ili jednak 10!" << endl;
    } while (broj < 10);

    //provjeramo sve brojeve iz raspona [10-broj] da li su prosti
    for (int i = 10; i < broj; i++)
    {
        //broj djelimo s brojevima [2-(broj-1)]
        for (int j = 2; j < i; j++)
        {
            if (i % j == 0)
            {
                prostBroj = false;
                break;
            }
            else
            {
                prostBroj = true;
            }
        }
        if (prostBroj)
            prostiBrojevi.push_back(i);
    }

    //ispis
    cout << endl << "Ispis prostih brojeva: ";
    for (int i = 0; i < prostiBrojevi.size(); i++)
    {
        if (i != prostiBrojevi.size() - 1)
            cout << prostiBrojevi[i] << ", ";
        else
            cout << prostiBrojevi[i] << ".";
    }
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
